Skip to main content
GET
ListFamilyMembers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

familyVersionId
string
required

Provide family_version_id to identify the family to list members for.

Query Parameters

pageSize
integer<int64>

The maximum number of family members to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the max limit defaults to 200. The maximum value is 500.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: is_exclusion, rationale, added_date, added_by_user_id, added_in_version_id, and for the associated Run:name, description, start_time, end_time, duration. Note: name, description, start_time, end_time, and duration are filters on the associated run. For further information about how to use CELs, please refer to this guide.

pageToken
string

A page token, received from a previous ListFamilyMembers call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListFamilyMembers must match the call that provided the page token.

Response

A successful response.

familyRuns
object[]
required
nextPageToken
string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.